Вопрос: Не удалось установить emacs24 на Ubuntu 12.04 Точный [закрыт]


Я добавил cassou ppa, но когда я пытаюсь установить emacs24 или emacs-snapshot, apt-get не может найти правильные пакеты:

$ sudo add-apt-repository ppa:cassou/emacs
...
$ sudo apt-get update
...
$ sudo apt-get install emacs24 emacs24-el emacs24-common-non-dfsg
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package emacs24
E: Unable to locate package emacs24-el
E: Unable to locate package emacs24-common-non-dfsg
$ sudo apt-get install emacs-snapshot
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package emacs-snapshot is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'emacs-snapshot' has no installation candidate

2
2017-08-19 15:34


Источник


попробуйте sudo apt-get -f install это может исправить это - SimplySimon
Попробуйте убедиться, что apt-cache search emacs - edwin
Инструкции в cassou ppa не имеют смысла для меня. Ваша команда такая же, как в ppa, но я также не смог найти недостающие пакеты из вашего сообщения об ошибке терминала в списке пакетов cassou ppa. Я предлагаю вам сообщить о возможной ошибке: bugs.launchpad.net/emacs-snapshot - karel
Текущей версией Emacs в Ubuntu 12.04 является Emacs 23.3.1 не совсем то, что вы хотели, но она работает нормально. - karel
@karel Emacs 24 очень отличается от 23. Множество плагинов зависит, например, от 24. - apennebaker


Ответы: